int LED_pins[] = {2, 3, 4, 5};
boolean state = false; // LED 상태

void setup() {
  Serial.begin(9600); // 컴퓨터와의 시리얼 연결
  Serial1.begin(9600); // 우노와의 시리얼 연결
  for (int i = 0; i < 4; i++) {
    pinMode(LED_pins[i], OUTPUT);
    digitalWrite(LED_pins[i], LOW);
  }
}

void loop() {
  if (Serial1.available()) { // 우노로부터 데이터 수신
    char data = Serial1.read();
    if (data == '1') {
      state = !state; // LED 상태 반전
      Serial.print("Current LED state : ");
      Serial.println(state ? "ON." : "OFF.");
      for (int i = 0; i < 4; i++) { // LED 출력
        digitalWrite(LED_pins[i], state);
      }
    }
  }
}
