#include <SoftwareSerial.h>

// SoftwareSerial(RX, TX) 형식으로 블루투스 모듈과 교차하여 연결된다.
SoftwareSerial BTSerial(4, 5);

char buffer[100]; // 수신 문자열 버퍼

void setup() {
  BTSerial.begin(9600);
}

void loop() {
  if (BTSerial.available()) { // 마스터로부터 데이터 수신
    int no = BTSerial.readBytes(buffer, 99);
    buffer[no - 1] = '\0'; // 개행문자 제거
    BTSerial.print(" (From Slave : "); // 마스터로 echo back
    BTSerial.print(buffer);
    BTSerial.println(")");
  }
}
