#include <SoftwareSerial.h>

// SoftwareSerial(RX, TX) 형식으로 메가2560의 핀과 교차하여 연결한다.
SoftwareSerial mySerial(4, 5);

void setup() {
  mySerial.begin(9600); // 메가2560과의 시리얼 연결
  Serial.begin(9600); // 컴퓨터와의 시리얼 연결
}

void loop() {
  if (Serial.available()) {
    char data = Serial.read();
    Serial.write(data); // 컴퓨터로 에코 백
    mySerial.write(data); // 메가2560으로 전송
  }
}
